Bug 111547 - GMT and Australian timezones missing from installer
GMT and Australian timezones missing from installer
Status: CLOSED RAWHIDE
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: anaconda (Show other bugs)
3.0
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-04 23:00 EST by Martin Pool
Modified: 2007-11-30 17:06 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-24 14:07:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot of problem (12.39 KB, image/png)
2003-12-04 23:02 EST, Martin Pool
no flags Details

  None (edit)
Description Martin Pool 2003-12-04 23:00:47 EST
Description of problem:

The "Time Zone Selection" page of the anaconda installer has no option
to choose either Australian timezones or GMT.


How reproducible:

I'm installing RHAS 3 ia64 on an hp rx2600 in text mode.  When I get
to the Time Zone Selection page, I see there is no option for any
timezone in Australia or New Zealand, or GMT.  (There is an option for
"system clock in GMT", but that's different from wanting GMT as the
default timezone.)

I have not finished the install so I don't know if the timezone files
are missing altogether, or if they're just not shown in the installer.  



Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Martin Pool 2003-12-04 23:02:52 EST
Created attachment 96365 [details]
screenshot of problem

"Australia" ought to come between "At" and "Eu".
Comment 2 Jeremy Katz 2003-12-10 01:57:39 EST
These should be there in the first update release of RHEL3.
Comment 3 Grant Parnell 2004-03-28 21:42:57 EST
redhat-config-date-1.5.15-1 on RedHat 9/i386 exhibits a similar issue.
Australia & NewZealand is present but GMT/UTC is missing from the time
zone selections.
Comment 4 Jeff Lawson 2004-08-31 13:03:44 EDT
I am using RH ES 3 Update 2 and I still do not see any timezone list
options for selecting UTC or GMT when installing in text mode.  I do
however see several options for various timezones for "Australia/..."

(When installing in graphical mode, I can click the "UTC Offset" tab
at the top of the dialog, however graphical mode is not always usable
on all hardware.)
Comment 5 Saravanan 2005-01-18 08:49:24 EST
GMT, is not available after installation, the same is available in AS
2.1, what I observed is that timeconfig and dateconfig utilities are
not listing all the entries available in /usr/share/zoneinfo/ directory.

 
 Temporary workaround to set the TZ to GMT:

1. Copy the /usr/share/zoneinfo/GMT as /etc/localtime 
2. Edit the file /etc/sysconfig/clock and change the ZONE value to "GMT"

Version: redhat-config-date-1.5.22-3

Note: This is on i386 Platform
Comment 6 David Maciejak 2005-10-27 08:11:14 EDT
Same problem on RHEL 3.0 update 6 with package redhat-config-date-1.5.22-3
Comment 7 David Maciejak 2005-10-27 09:03:57 EDT
In fact, the GMT zone is hide behind entry "Atlantic/Reykjavik".
It could be great to update tzdata, to add a link to a "GMT" entry.
Comment 8 Jeremy Katz 2006-04-24 14:07:30 EDT
Mass-closing lots of old bugs which are in MODIFIED (and thus presumed to be
fixed).  If any of these are still a problem, please reopen or file a new bug
against the release which they're occurring in so they can be properly tracked.
Comment 9 Jeff Lawson 2006-06-05 19:22:47 EDT
I don't think this should have been closed, as there was no resolution ever
indicated.  I am not allowed to reopen this bug myself.
Comment 10 Jeff Lawson 2006-06-05 19:46:21 EDT
I have just verified with RHEL ES 3.0 update 6 that the text-mode installer is
still lacking the ability to pick UTC or GMT from the timezone selection list.  

There are several Australia timezones listed in the text-mode installer, so that
issue seems to be fixed.

In graphical-mode installer of RHES 3u6, there is a separate UTC Offset tab that
lets you pick "UTC+0" (no offset), but the same functionality was not replicated
in the text-mode installer.

Note You need to log in before you can comment on or make changes to this bug.